#
# spec file for package monit (Version 4.2.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool openssl-devel perl rpm

Name:         monit
Version:      4.2.1
Release:      4
License:      GPL
Group:        System/Monitoring
Summary:      Process monitor and restart utility
URL:          http://www.tildeslash.com/monit/
Autoreqprov:  on
Source:       http://www.tildeslash.com/monit/dist/%{name}-%{version}.tar.bz2
Source1:      rc.monit.tmpl
Source2:      README.tmpl
Source3:      monit-modifyinittab.tmpl
Source4:      sysconfig.monit.tmpl
Patch:        page_shift.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
monit is an utility for monitoring daemons or similar programs running
on a Unix system.  It will start specified programs if they are not
running and restart programs not responding.



Authors:
--------
    Jan-Henrik Haukeland <hauk@tildeslash.com>
    Martin Pala <martin.pala@iol.cz>
    Rory Toma <rory@digeo.com>
    Christian Hopp <chopp@iei.tu-clausthal.de>

%prep
%setup
%patch -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
%{configure} \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--with-ssl-lib-dir=%{_libdir}
%{__make}

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
make \
	BINDIR=${RPM_BUILD_ROOT}/%{_bindir} \
	MANDIR=${RPM_BUILD_ROOT}/%{_mandir}/man1 \
	install
mkdir -p \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d \
	${RPM_BUILD_ROOT}/%{_sbindir} \
	${RPM_BUILD_ROOT}/%{_datadir}/monit \
	${RPM_BUILD_ROOT}/%{_var}/adm/fillup-templates \
	${RPM_BUILD_ROOT}/%{_var}/run/monit
cp -a monitrc ${RPM_BUILD_ROOT}/%{_sysconfdir}
. ${RPM_SOURCE_DIR}/sysconfig.monit.tmpl
MONIT_BIN="/usr/bin/monit"
MONIT_MODIFY_INITTAB="/usr/share/monit/monit-modifyinittab"
MONIT_PID_FILE="/var/run/monit/monit.pid"
MONIT_SYSCONFIG_FILE="/etc/sysconfig/monit"
MONIT_INITTAB_STATE_FILE="/var/run/monit/monit-inittab.state"
MONIT_ARGS="-p ${MONIT_PID_FILE} -s /var/run/monit/monit.state"
for templatefile in README monit-modifyinittab rc.monit sysconfig.monit; do
	sed -e "s%__MONIT_RC_FILE__%${MONIT_RC_FILE}%g" \
		-e "s%__MONIT_INITTAB_BASE__%${MONIT_INITTAB_BASE}%g" \
		-e "s%__MONIT_INITTAB_COMMENT__%${MONIT_INITTAB_COMMENT}%g" \
		-e "s%__MONIT_INITTAB_STATE_FILE__%${MONIT_INITTAB_STATE_FILE}%g" \
		-e "s%__MONIT_ARGS__%${MONIT_ARGS}%g" \
		-e "s%__MONIT_BIN__%${MONIT_BIN}%g" \
		-e "s%__MONIT_MODIFY_INITTAB__%${MONIT_MODIFY_INITTAB}%g" \
		-e "s%__MONIT_PID_FILE__%${MONIT_PID_FILE}%g" \
		-e "s%__MONIT_SYSCONFIG_FILE__%${MONIT_SYSCONFIG_FILE}%g" \
		${RPM_SOURCE_DIR}/${templatefile}.tmpl > \
			${RPM_SOURCE_DIR}/${templatefile}
done
install -m 0754 ${RPM_SOURCE_DIR}/rc.monit ${RPM_BUILD_ROOT}/etc/init.d/monit
ln -s ../../etc/init.d/monit ${RPM_BUILD_ROOT}/%{_sbindir}/rcmonit
install -m 0754 ${RPM_SOURCE_DIR}/monit-modifyinittab ${RPM_BUILD_ROOT}/%{_datadir}/monit
install -m 0644 ${RPM_SOURCE_DIR}/sysconfig.monit ${RPM_BUILD_ROOT}/%{_var}/adm/fillup-templates
touch ${RPM_BUILD_ROOT}/%{_var}/run/monit/monit-inittab.state
touch ${RPM_BUILD_ROOT}/%{_var}/run/monit/monit.{pid,state}
%if %ul_version >= 1
	VENDOR="UnitedLinux"
%else
	VENDOR="SUSE"
%endif
install -m 0644 ${RPM_SOURCE_DIR}/README ${RPM_BUILD_DIR}/%{name}-%{version}/README.${VENDOR}

%post
%{fillup_and_insserv}
# Are we in update mode and do we have an old and active configuration file?
if [ ${FIRST_ARG:-0} -gt 1 -a -f etc/monit.conf ] && grep -qv '^#' etc/monit.conf; then
	cat << EOF > var/adm/notify/messages/monit-notify
Hello,  (deutsche Version weiter unten)
 
the format of the monit configuration file changed from version 3.x to
4.x.  Your old configuration will be saved as /etc/monit.conf.rpmsave.
 
/usr/share/doc/packages/monit/UPGRADE.txt includes information about the
changes and how to upgrade your current configuration.
 
The configuration file is now /etc/monitrc
 
 
Hallo,
 
das Format der monit-Konfigurationsdatei hat sich von Version 3.x nach
4.x geändert. Die alte Konfiguration wird als /etc/monit.conf.rpmsave
gesichert.
 
/usr/share/doc/packages/monit/UPGRADE.txt informiert über die Änderungen
und wie man eine alte Konfiguration anpasst.
 
Die Konfigurationsdatei ist nun /etc/monitrc
 
Have a lot of fun...
EOF
	test -z "${YAST_IS_RUNNING}" && \
		cat var/adm/notify/messages/monit-notify
fi

%preun
%{stop_on_removal monit}

%postun
%{restart_on_update monit}
%{insserv_cleanup}

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGES.txt CONTRIBUTORS COPYING FAQ.txt LICENSE PLATFORMS README* STATUS UPGRADE.txt doc
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/monitrc
%attr(0754, root, root) %config %{_sysconfdir}/init.d/monit
%{_sbindir}/rcmonit
%{_bindir}/monit
%{_mandir}/man1/monit.1.gz
%dir %{_datadir}/monit
%{_datadir}/monit/monit-modifyinittab
%{_var}/adm/fillup-templates/sysconfig.monit
%dir %{_var}/run/monit
%ghost %{_var}/run/monit/monit.pid
%ghost %{_var}/run/monit/monit.state
%ghost %{_var}/run/monit/monit-inittab.state

%changelog -n monit
* Tue Apr 20 2004 - lmuelle@suse.de
- Update to version 4.2.1, [#39166]
* Wed Jan 07 2004 - lmuelle@suse.de
- update to version 4.1.1
- allow call of /usr/share/monit/monit-modifyinittab without a switch
- add /usr/share/monit/monit-modifyinittab as Command: to sysconfig file
* Mon Nov 10 2003 - lmuelle@suse.de
- rename SuSEconfig.monit to /usr/share/monit/monit-modifyinittab
- add --add and --remove switch to /usr/share/monit/monit-modifyinittab
- call /usr/share/monit/monit-modifyinittab in the init script if
  MONIT_VIA_INITTAB of /etc/sysconfig/monit is set to "yes"
* Sat Nov 08 2003 - lmuelle@suse.de
- use 0600 for /etc/monitrc
- add systax check to init and SuSEconfog.monit script
- don't check for configuration file or syntax if the init script is called
  with 'stop'
* Fri Nov 07 2003 - lmuelle@suse.de
- update to version 4.1
- add restart on update and other usual macros to %%preun and %%postun
- add poll option to the init script to send SIGUSR1
- add a vendor README
- add norootforbuild to the spec file
* Wed Oct 01 2003 - schwab@suse.de
- Don't use PAGE_SHIFT.
* Mon Jun 02 2003 - lmuelle@suse.de
- inital SuSE RPM based on the spec file provided by the monit team
